Draft Arc 3Points/zh-cn: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>


<div class="mw-translate-fuzzy">
{{Docnav/zh-cn
{{Docnav/zh-cn
|[[Draft_Circle/zh-cn|底图圆形]]
|[[Draft_Circle/zh-cn|底图圆形]]
Line 9: Line 10:
|IconR=Draft_Arc_3Points.svg
|IconR=Draft_Arc_3Points.svg
}}
}}
</div>


{{GuiCommand
{{GuiCommand
|Name=Draft Arc 3Points
|Name=Draft Arc 3Points
|MenuLocation=Draft → Arc 3 points
|MenuLocation=Draft → Arc 3 points
|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]
|Workbenches=[[Draft_Module|Draft]], [[Arch_Module|Arch]]
|Shortcut={{KEY|A}} {{KEY|T}}
|Shortcut={{KEY|A}} {{KEY|T}}
|SeeAlso=[[Draft Arc|Draft Arc]], [[Draft Circle|Draft Circle]], [[Draft Ellipse|Draft Ellipse]]
|Version=0.19
|Version=0.19
|SeeAlso=[[Draft_Arc|Draft Arc]], [[Draft_Circle|Draft Circle]], [[Draft_Ellipse|Draft Ellipse]]
}}
}}


==描述==
==描述==


<div class="mw-translate-fuzzy">
[[Draft Arc 3Points|底图三圆周点绘弧]]工具通过输入4个点:中点、半径、第一个点、最后一点,或拾取的切线,或上述若干组合,在当前的[[Draft SelectPlane|工作平面]]上创建一条圆弧。它将根据[[Draft Tray]]中的[[Draft Linestyle]]设置来创建对应圆弧。
[[Draft Arc 3Points|底图三圆周点绘弧]]工具通过输入4个点:中点、半径、第一个点、最后一点,或拾取的切线,或上述若干组合,在当前的[[Draft SelectPlane|工作平面]]上创建一条圆弧。它将根据[[Draft Tray]]中的[[Draft Linestyle]]设置来创建对应圆弧。
</div>


<div class="mw-translate-fuzzy">
除了添加起始角度与终止角度这两个参数之外,本工具的工作方式与[[Draft Circle/zh-cn|底图圆形]]工具相同。要绘制椭圆弧,可借助[[Draft Ellipse/zh-cn|底图椭圆]]工具。另外,您也可以通过[[Draft BSpline|底图B样条]]与[[Draft BezCurve/zh-cn|底图贝叶斯曲线]]工具来近似地逼近一条圆弧。
除了添加起始角度与终止角度这两个参数之外,本工具的工作方式与[[Draft Circle/zh-cn|底图圆形]]工具相同。要绘制椭圆弧,可借助[[Draft Ellipse/zh-cn|底图椭圆]]工具。另外,您也可以通过[[Draft BSpline|底图B样条]]与[[Draft BezCurve/zh-cn|底图贝叶斯曲线]]工具来近似地逼近一条圆弧。
</div>


[[Image:Draft_Arc_3Points_example.png|400px]]
[[Image:Draft_Arc_3Points_example.png|400px]]
Line 100: Line 106:
|[[Draft_Module|Draft]]
|[[Draft_Module|Draft]]
|IconL=Draft_Circle.svg
|IconL=Draft_Circle.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_Ellipse.svg
|IconR=Draft_Ellipse.svg
|IconC=Workbench_Draft.svg
}}
}}



Revision as of 13:40, 1 December 2020

Draft Arc 3Points

Menu location
Draft → Arc 3 points
Workbenches
Draft, Arch
Default shortcut
A T
Introduced in version
0.19
See also
Draft Arc, Draft Circle, Draft Ellipse

描述

底图三圆周点绘弧工具通过输入4个点:中点、半径、第一个点、最后一点,或拾取的切线,或上述若干组合,在当前的工作平面上创建一条圆弧。它将根据Draft Tray中的Draft Linestyle设置来创建对应圆弧。

除了添加起始角度与终止角度这两个参数之外,本工具的工作方式与底图圆形工具相同。要绘制椭圆弧,可借助底图椭圆工具。另外,您也可以通过底图B样条底图贝叶斯曲线工具来近似地逼近一条圆弧。

根据圆周上的3个点而定义的弧

如何使用

  1. 按下 Draft Arc 3Points按钮,或先按A键再按T键。
  2. 在3D视图中点击第一个点,或输入一个 坐标并按下 add point按钮。
  3. 在3D视图中点击第二个点,或输入一个半径值。
  4. 在3D视图中点击第三个点,或输入一个起始角度。

选项

  • Press X, Y or Z after one point to constrain the following point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component.
    • You can press the add point button when you have entered the desired values to insert the point.
  • Press R or click the checkbox to toggle relative mode. If relative mode is on, the coordinates of the following point are relative to the previous one; if not, they are absolute, taken from the origin (0, 0, 0).
  • Hold Shift while drawing to constrain your next point horizontally or vertically in relation to the previous one.
  • Press Esc or the Close button to abort the current command.

属性

属性

弧对象享有Draft Circle中的所有属性,但是有些属性仅对圆形而言才有意义。

脚本

参见: Draft APIFreeCAD Scripting Basics

See also: Draft API and FreeCAD Scripting Basics.

The Arc by 3 points tool can be used in macros and from the Python console by using the following function:

arc = make_arc_3points(points, placement=None, face=False, support=None, map_mode="Deactivated", primitive=False)
  • Creates an arc object from the given points list.
  • If a placement is given, the center of the circular arc will be moved to this place. See Placement for more information.
  • If face is True, the arc will make a face, that is, it will appear filled.
  • If support is given, it is a LinkSubList, that is, a list indicating an object, and a subelement of that object. This is used so that the object appears referenced to this support.
For example, support=[(obj, ("Face1"))]
  • If map_mode is given, it is a string defining a type of mapping, for example, map_mode='FlatFace', map_mode='ThreePointsPlane', etc. See Part Attachment for more information.
  • If primitive is True, the arc created will be a simple Part Feature, not a complex Draft object.

Example:

import FreeCAD as App
import draftobjects.arc_3points as arc3

doc = App.newDocument()
points = [App.Vector(0, 0, 0),
          App.Vector(5, 10, 0),
          App.Vector(10, 0, 0)]

arc = arc3.make_arc_3points(points)

doc.recompute()

Note: internally this function still uses Draft.makeCircle, so the object created is the same as the one created by Circle and Arc.